services:
  postgres:
    image: postgres:17-alpine
    environment:
      POSTGRES_DB: morz_infoboard
      POSTGRES_USER: morz_infoboard
      POSTGRES_PASSWORD: morz_infoboard
    ports:
      - "5432:5432"
    volumes:
      - postgres-data:/var/lib/postgresql/data

  mosquitto:
    image: eclipse-mosquitto:2
    ports:
      - "1883:1883"
    volumes:
      - ./mosquitto.conf:/mosquitto/config/mosquitto.conf:ro

volumes:
  postgres-data:
